Get challenges names

This API is used to get a list of challenge names with the specified event.
It will return data like users, description, endDate, startDate, name, goal, event challenge Id, etc.
To call this API, a user has to pass eventUrl as a query param with an authentication key to authenticate the user.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response

Here is the description of response attributes, which returns to the form of JSON.

AttributeDescription
descriptionContains a description of the challenge.
endDateThis will return the end date for the challenge. e.g. 2021-12-29T04:36:15.616Z
usersThis will return the list of users details like:
  • *firstName**: Contains the first name of the user. Only 50 characters are allowed in the first name.
  • *lastName**: Contains the last name of user. Only 50 characters are allowed in the last name.
  • *photo** : Contains the photo of the user.
  • *point**: Contains the number of points of the user.
  • *userId** :The ID returns a unique value associated with the user.
  • *title**: Contains the title of the user.
eventChallengeIdThis represents the unique ID of each challenge.
goalThis will return the goal of the challenge.
nameContains the name of the challenge.
rewardsThis will return the rewards for completing the challenge.
startDateThis will return the start date for challenge. e.g. 2021-12-29T04:36:15.616Z

Error Code

Here are the possible error messages, which return if any condition gets failed or required data is missing for processing.

Error CodeError Description
400The request could not be understood by the server due to malformed syntax.
401You are not authorized to view the resource.
403Accessing the resource you were trying to reach is forbidden.
404The resource you were trying to reach is not found.
40600013Cannot create url
4040200No event could be found
Path Params
string
required

Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json